Package org.apache.sling.maven.feature.launcher

# Class Launch

java.lang.Object
org.apache.sling.maven.feature.launcher.Launch

public class Launch extends Object

## Constructor Summary

Constructors
Constructor
Description
`Launch()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getEnvironmentVariables()`
`Optional<org.apache.maven.model.Dependency>`
`getFeature()`
`Optional<File>`
`getFeatureFile()`
`String`
`getId()`
`LauncherArguments`
`getLauncherArguments()`
`List<String>`
`getRepositoryUrls()`
`int`
`getStartTimeoutSeconds()`
`boolean`
`isSkip()`
`void`
`setEnvironmentVariables(Map<String,String> environmentVariables)`
`void`
`setFeature(org.apache.maven.model.Dependency feature)`
`void`
`setFeatureFile(String featureFile)`
`void`
`setId(String id)`
`void`
`setLauncherArguments(LauncherArguments launcherArguments)`
`void`
`setRepositoryUrls(List<String> repositoryUrls)`
`void`
`setSkip(boolean skip)`
`void`
`setStartTimeoutSeconds(int startTimeoutSeconds)`
`void`
`validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Launch

public Launch()

## Method Details

### getId

public String getId()

### setId

public void setId(String id)

### getFeature

public Optional<org.apache.maven.model.Dependency> getFeature()

### setFeature

public void setFeature(org.apache.maven.model.Dependency feature)

### getFeatureFile

public Optional<File> getFeatureFile()

### setFeatureFile

public void setFeatureFile(String featureFile)

### getLauncherArguments

public LauncherArguments getLauncherArguments()

### setLauncherArguments

public void setLauncherArguments(LauncherArguments launcherArguments)

### getStartTimeoutSeconds

public int getStartTimeoutSeconds()

### setStartTimeoutSeconds

public void setStartTimeoutSeconds(int startTimeoutSeconds)

### isSkip

public boolean isSkip()

### setSkip

public void setSkip(boolean skip)

### getEnvironmentVariables

public Map<String,String> getEnvironmentVariables()

### setEnvironmentVariables

public void setEnvironmentVariables(Map<String,String> environmentVariables)

### getRepositoryUrls

public List<String> getRepositoryUrls()

### setRepositoryUrls

public void setRepositoryUrls(List<String> repositoryUrls)

### validate

public void validate()